/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment2609170000Processing 'already released'
簡介
Processing 'already released'
詳細內容
Available buyer market: Korean
You can use this feature for the product in the status of RELEASE_STOP_UNCHECKED or both RETURNS_UNCHECKED and release status of "N" when running a query on a list of return requests as a result of customers cancelling their orders.
The feature is designed for the product already shipped by seller.
If the product was shipped in spite of customer's request for 'release stop', the seller is liable for a round trip shipping fee for return.
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipmentURL API Name
Path 參數
| Name | Type | Description |
|---|---|---|
| receiptId* | number | Receipt ID
|
| vendorId* | string | Vendor ID A unique code Coupang assigns to a vendor e.g.) A00012345 |
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Vendor ID A unique code Coupang assigns to a vendor e.g.) A00012345 |
| receiptId* | integer | Receipt ID
|
| deliveryCompanyCode* | string | Courier code Go to courier code |
| invoiceNumber* | string | Invoice number
|
{
"vendorId": "TESTVENDORID",
"receiptId": 12346897,
"deliveryCompanyCode": "KDEXP",
"invoiceNumber": "70432743577"
}回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | string | Server response code
|
| message | string | Server response message
|
| data | object | |
| resultCode data.resultCode | string | SUCCESS/FAIL
|
| resultMessage data.resultMessage | string | Result message
|
Response Example
{
"data" : {
"code" : "200" ,
"message" : "OK" ,
"resultCode" : "SUCCESS" ,
"resultMessage" : "Released status changed successfully. }
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check the requested variable) | You cannot register invoice number as you already have one registered. (To upload the same invoice number : the recipient should be the same person) [Consolidated packaging number : 10275****15] | Check that the registered invoice number is the one already registered on Coupang. Refer to FAQ |
| 400 | 400 (Check the requested variable) | Invoice number is not valid. [Consolidated packaging number : 1167***03] | Check that the entered invoice number is correct. |